procedure reorient800;
//--------------------
begin

with freorient do begin
  Left := 3;
  Top := 8;
  HelpContext := 16;
  BorderStyle := bsDialog;
  Caption := 'OrientExpress. Calculation of the angles to reset the crystal.';
  ClientHeight := 556;
  ClientWidth := 782;
  Color := clSilver;
  Font.Charset := DEFAULT_CHARSET;
  Font.Color := clBlack;
  Font.Height := -11;
  Font.Name := 'MS Sans Serif';
  Font.Style := [fsBold];
  FormStyle := fsStayOnTop;
  Position := poScreenCenter;
  Scaled := False;
  OnActivate := initialise_activate;
  OnCreate := init_create;
  PixelsPerInch := 96;
//  TextHeight := 13;
  with Image1 do begin
    Left := 602;
    Top := 18;
    Width := 99;
    Height := 90;
  end;
  with Bevel1 do begin
    Left := 602;
    Top := 18;
    Width := 98;
    Height := 91;
  end;
  with Label5 do begin
    Left := 629;
    Top := 0;
    Width := 58;
    Height := 15;
    Caption := 'Room Axis';
    Font.Charset := ANSI_CHARSET;
    Font.Color := clBlack;
    Font.Height := -13;
    Font.Name := 'Times New Roman';
    Font.Style := [];
    ParentFont := False;
  end;
  with Panel1 do begin
    Left := 6;
    Top := 114;
    Width := 773;
    Height := 417;
    Color := clSilver;
    TabOrder := 0;
    Visible := False;
    with Label2 do begin
      Left := 312;
      Top := 185;
      Width := 169;
      Height := 15;
      Caption := 'Parallel to the camera axis (OZ) :';
      Font.Charset := ANSI_CHARSET;
      Font.Color := clBlack;
      Font.Height := -13;
      Font.Name := 'Times New Roman';
      Font.Style := [];
      ParentFont := False;
    end;
    with Label4 do begin
      Left := 314;
      Top := 52;
      Width := 161;
      Height := 15;
      Caption := 'Parallel to the beam axis (OX) :';
      Font.Charset := ANSI_CHARSET;
      Font.Color := clBlack;
      Font.Height := -13;
      Font.Name := 'Times New Roman';
      Font.Style := [];
      ParentFont := False;
    end;
    with Label3 do begin
      Left := 288;
      Top := 28;
      Width := 205;
      Height := 15;
      Caption := 'Rotation angles to bring this direction:';
      Font.Charset := ANSI_CHARSET;
      Font.Color := clBlack;
      Font.Height := -13;
      Font.Name := 'Times New Roman';
      Font.Style := [];
      ParentFont := False;
    end;
    with Panel3 do begin
      Left := -2;
      Top := 390;
      Width := 773;
      Height := 24;
      Caption := 'Double click the rotation number to simulate the  diagram';
      Color := clWhite;
      Font.Charset := ANSI_CHARSET;
      Font.Color := clRed;
      Font.Height := -13;
      Font.Name := 'MS Sans Serif';
      Font.Style := [];
      ParentFont := False;
      TabOrder := 0;
      Visible := False;
    end;
    with Panel4 do begin
      Left := 194;
      Top := 318;
      Width := 409;
      Height := 71;
      TabOrder := 1;
      with Label6 do begin
        Left := 8;
        Top := 19;
        Width := 93;
        Height := 15;
        Caption := 'Sample reference:';
        Font.Charset := ANSI_CHARSET;
        Font.Color := clBlack;
        Font.Height := -13;
        Font.Name := 'Times New Roman';
        Font.Style := [];
        ParentFont := False;
      end;
      with BitBtn2 do begin
        Left := 157;
        Top := 42;
        Width := 166;
        Height := 25;
        Caption := 'Click here to print';
        Font.Charset := ANSI_CHARSET;
        Font.Color := clBlack;
        Font.Height := -13;
        Font.Name := 'Times New Roman';
        Font.Style := [];
        ParentFont := False;
        TabOrder := 0;
        OnClick := imprime_ang;
        NumGlyphs := 2;
      end;
      with Edit12 do begin
        Left := 128;
        Top := 16;
        Width := 273;
        Height := 23;
        Font.Charset := DEFAULT_CHARSET;
        Font.Color := clBlack;
        Font.Height := -13;
        Font.Name := 'Times New Roman';
        Font.Style := [];
        ParentFont := False;
        TabOrder := 1;
      end;
    end;
    with StringGrid1 do begin
      Left := 222;
      Top := 68;
      Width := 168;
      Height := 110;
      Color := 16774102;
      ColCount := 4;
      DefaultColWidth := 40;
      DefaultRowHeight := 20;
      FixedColor := 16774102;
      FixedCols := 0;
      Font.Charset := ANSI_CHARSET;
      Font.Color := clBlack;
      Font.Height := -11;
      Font.Name := 'MS Sans Serif';
      Font.Style := [];
      ParentFont := False;
      ScrollBars := ssNone;
      TabOrder := 2;
      OnClick := onclic1;
      OnDrawCell := peint_grille1;
      OnSelectCell := select_grille1;
    end;
    with StringGrid2 do begin
      Left := 414;
      Top := 68;
      Width := 168;
      Height := 110;
      Color := 16774102;
      ColCount := 4;
      DefaultColWidth := 40;
      DefaultRowHeight := 20;
      FixedColor := 16774102;
      FixedCols := 0;
      Font.Charset := ANSI_CHARSET;
      Font.Color := clBlack;
      Font.Height := -11;
      Font.Name := 'MS Sans Serif';
      Font.Style := [];
      ParentFont := False;
      ScrollBars := ssNone;
      TabOrder := 3;
      OnClick := onclic1;
      OnDrawCell := peint_grille2;
      OnSelectCell := selct_grille2;
    end;
    with StringGrid3 do begin
      Left := 222;
      Top := 202;
      Width := 168;
      Height := 110;
      Color := 16774102;
      ColCount := 4;
      DefaultColWidth := 40;
      DefaultRowHeight := 20;
      FixedColor := 16774102;
      FixedCols := 0;
      Font.Charset := ANSI_CHARSET;
      Font.Color := clBlack;
      Font.Height := -11;
      Font.Name := 'MS Sans Serif';
      Font.Style := [];
      ParentFont := False;
      ScrollBars := ssNone;
      TabOrder := 4;
      OnClick := onclic1;
      OnDrawCell := peint_grille3;
      OnSelectCell := select_grille3;
    end;
    with StringGrid4 do begin
      Left := 414;
      Top := 202;
      Width := 168;
      Height := 110;
      Color := 16774102;
      ColCount := 4;
      DefaultColWidth := 40;
      DefaultRowHeight := 20;
      FixedColor := 16774102;
      FixedCols := 0;
      Font.Charset := ANSI_CHARSET;
      Font.Color := clBlack;
      Font.Height := -11;
      Font.Name := 'MS Sans Serif';
      Font.Style := [];
      ParentFont := False;
      ScrollBars := ssNone;
      TabOrder := 5;
      OnClick := onclic1;
      OnDrawCell := peint_grille4;
      OnSelectCell := select_grille4;
    end;
    with Panel2 do begin
      Left := -4;
      Top := 2;
      Width := 773;
      Height := 24;
      Color := clTeal;
      Font.Charset := ANSI_CHARSET;
      Font.Color := clWhite;
      Font.Height := -13;
      Font.Name := 'MS Sans Serif';
      Font.Style := [fsBold];
      ParentFont := False;
      TabOrder := 6;
      Visible := False;
    end;
  end;
  with button1 do begin
    Left := 688;
    Top := 528;
    Width := 78;
    Height := 26;
    Caption := 'Return';
    Font.Charset := ANSI_CHARSET;
    Font.Color := clBlack;
    Font.Height := -13;
    Font.Name := 'MS Sans Serif';
    Font.Style := [];
    ParentFont := False;
    TabOrder := 1;
    OnClick := sortie_reorient;
    NumGlyphs := 2;
  end;
  with Panel5 do begin
    Left := 206;
    Top := 4;
    Width := 369;
    Height := 103;
    BorderStyle := bsSingle;
    Color := clSilver;
    TabOrder := 2;
    with Label1 do begin
      Left := 35;
      Top := 9;
      Width := 284;
      Height := 15;
      Caption := 'Coordinates of the crystal direction  to be reoriented: ';
      Font.Charset := ANSI_CHARSET;
      Font.Color := clBlack;
      Font.Height := -13;
      Font.Name := 'Times New Roman';
      Font.Style := [];
      ParentFont := False;
    end;
    with Edit1 do begin
      Left := 29;
      Top := 39;
      Width := 51;
      Height := 20;
      Color := clWhite;
      Font.Charset := ANSI_CHARSET;
      Font.Color := clBlack;
      Font.Height := -13;
      Font.Name := 'MS Sans Serif';
      Font.Style := [];
      ParentFont := False;
      TabOrder := 0;
      Text := ' ';
      OnClick := efface_grid;
      OnEnter := efface_grid;
    end;
    with Edit2 do begin
      Left := 81;
      Top := 39;
      Width := 51;
      Height := 20;
      Color := clWhite;
      Font.Charset := ANSI_CHARSET;
      Font.Color := clBlack;
      Font.Height := -13;
      Font.Name := 'MS Sans Serif';
      Font.Style := [];
      ParentFont := False;
      TabOrder := 1;
      Text := ' ';
      OnClick := efface_grid;
      OnEnter := efface_grid;
    end;
    with Edit3 do begin
      Left := 133;
      Top := 39;
      Width := 51;
      Height := 20;
      Color := clWhite;
      Font.Charset := ANSI_CHARSET;
      Font.Color := clBlack;
      Font.Height := -13;
      Font.Name := 'MS Sans Serif';
      Font.Style := [];
      ParentFont := False;
      TabOrder := 2;
      Text := ' ';
      OnClick := efface_grid;
      OnEnter := efface_grid;
    end;
    with RadioGroup2 do begin
      Left := 193;
      Top := 27;
      Width := 150;
      Height := 35;
      Caption := 'Space';
      Color := clSilver;
      Columns := 2;
      Ctl3D := False;
      Font.Charset := ANSI_CHARSET;
      Font.Color := clBlack;
      Font.Height := -13;
      Font.Name := 'Times New Roman';
      Font.Style := [];
      ParentColor := False;
      ParentCtl3D := False;
      ParentFont := False;
      TabOrder := 3;
      OnClick := affiche_angles;
    end;
    with BitBtn1 do begin
      Left := 265;
      Top := 74;
      Width := 62;
      Height := 25;
      Caption := 'Calc.';
      Font.Charset := ANSI_CHARSET;
      Font.Color := clBlack;
      Font.Height := -13;
      Font.Name := 'MS Sans Serif';
      Font.Style := [];
      ParentFont := False;
      TabOrder := 4;
      OnClick := affiche_angles;
      NumGlyphs := 2;
    end;
    with BitBtn3 do begin
      Left := 206;
      Top := 72;
      Width := 60;
      Height := 25;
      Font.Charset := DEFAULT_CHARSET;
      Font.Color := clBlack;
      Font.Height := -13;
      Font.Name := 'MS Sans Serif';
      Font.Style := [];
      ParentFont := False;
      TabOrder := 5;
      OnClick := aide;
      Kind := bkHelp;
    end;
  end;
end;

end;
