unit gener_ind;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs
  , StdCtrls, ExtCtrls,  Buttons;

type
  Tfgener = class(TForm)
    panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    label3: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    RadioGroup1: TRadioGroup;
    Edit3: TEdit;
    button1: TBitBtn;
    button2: TBitBtn;
    procedure choix(Sender: TObject);
    procedure verif_dist(Sender: TObject);
    procedure verif_ind(Sender: TObject);
    procedure sortie(Sender: TObject);
    procedure entree_fiche(Sender: TObject);
    procedure Aide(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  fgener: Tfgener;

implementation

{$R *.DFM}

uses
dessin, oemath ;

procedure tfgener.verif_dist(Sender: TObject);{
----------------------------------------------}
var
  s  :string;
  ier:integer;
begin
  s:=edit2.text;
  add_zero(s);
  val(s,dhkl,ier);
  if (ier <> 0)then begin
    edit2.text:='';
    edit2.setfocus;
  end;
end;

procedure tfgener.verif_ind(Sender: TObject);{
---------------------------------------------}
var
  s  :string;
  ier:integer;
begin
  s:=edit3.text;
  val(s,indmax_stereo,ier);
  if (ier <> 0)then begin
    edit3.text:='';
    edit3.setfocus;
  end;
end;

procedure Tfgener.entree_fiche(Sender: TObject);{
------------------------------------------------}
begin
 if(type_diagramme = 'laue') then begin
    label2.visible:=false;
    label3.visible:=false;
    label6.visible:=false;
    edit1.visible:=false;
    edit2.visible:=false;
    edit3.visible:=false;
    label5.visible:=true;
    radiogroup1.visible:=true;
    radiogroup1.Itemindex:=0;
    dhkl:=0;
  end;
 if(type_diagramme = 'stereo') then begin
   label5.visible:=false;
   radiogroup1.visible:=false;
   label2.visible:=false;
   label3.visible:=false;
   label6.visible:=true;
   edit1.visible:=false;
   edit2.visible:=false;
   edit3.visible:=true;
   dhkl:=0;
  end;
end;

procedure tfgener.sortie(Sender: TObject);{
------------------------------------------}
var
   s       : string;
   ier     : integer;
begin
  if(type_diagramme = 'laue') and (radiogroup1.Itemindex = 1) then begin
    {Lecture de dhkl}
    s:=edit2.text;
    add_zero(s);
    val(s,dhkl,ier);
    if(dhkl < dhkl_max) then dhkl:=dhkl_max;
    dhkl:=1/dhkl;
  end;
  (* if(type_diagramme = 'stereo') and (radiogroup1.Itemindex = 1) then begin
    {Lecture de dhkl}
    s:=edit2.text;
    add_zero(s);
    val(s,dhkl,ier);
    if(dhkl < dhkl_max) then dhkl:=dhkl_max;
    dhkl:=1/dhkl;
  end; *)
  if(type_diagramme = 'stereo')then begin
    s:=edit3.text;
    val(s,indmax_stereo,ier);
  end;
  fgener.visible:=false;
  fdessin.visible:=true;
end;

procedure tfgener.choix(Sender: TObject);{
-----------------------------------------}
var
   phi,som,diag           : real;
   s                      : string;

begin
  {Calcul de dhkl_max}
  diag:=sqrt(sqr(largeur)+sqr(hauteur))/2;
  if (geom = 'CYL')then begin
    phi:=57.2957*(diag/distance);
  end else begin
    phi:=57.2957*atan2(diag,distance);
  end;
  som:=abs(angle)+phi;
  if (som > 180) then som:=180;
  som:=som/57.2957;
  dhkl_max:=lambda_min/(2*sin(som/2));

  if(radioGroup1.ItemIndex = 0)then begin
    dhkl:=0;
  end;
  if(radiogroup1.ItemIndex = 1)then begin
    {On fait apparatre les autres champs}
    label2.visible:=true;
    label3.visible:=true;
    edit1.visible:=true;
    edit2.visible:=true;

    {Lecture de indice max}
    if(type_diagramme = 'stereo') then begin
      label6.visible:=true;
      edit3.visible:=true;
    end;
    edit2.setfocus;

    {affichage dhkl_min et non max}
    str(dhkl_max:5:3,s);
    edit1.text:=s;

  end;
end;

procedure Tfgener.Aide(Sender: TObject);
begin
  {nom_aide:='gener.hlp';
  fvoir.visible:=true; }
   Application.HelpFile:='orientexpress.hlp';
   Application.HelpContext(9)
{   Application.HelpCommand(HELP_CONTENTS,9);}
end;

end.



