unit main_litbmp_fast;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, FileCtrl;

type
  TForm1 = class(TForm)
    Image1: TImage;
    BitBtn2: TBitBtn;
    FileListBox1: TFileListBox;
    DirectoryListBox1: TDirectoryListBox;
    Button1: TButton;
    Label1: TLabel;
    SaveDialog1: TSaveDialog;
    Image2: TImage;
    procedure affiche(Sender: TObject);
    procedure sortie(Sender: TObject);
    procedure selecte_fichier(Sender: TObject);
    procedure enregister(Sender: TObject);
    procedure loupe(Sender: TObject; Shift: TShiftState; X, Y: Integer);
    procedure init(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}
var
  echel            : real;
procedure TForm1.affiche(Sender: TObject);
var

Fileheader :record
  bftype            : word;
  {bfsize           : longint;}
  bfsize1           : word;
  bfsize2           : word;
  bfreserved1       : word;
  bfreserved2       : word;
  bfoffbits1        : word;
  bfoffbits2        : word;
  end;
infoheader : record
  bisize1            : word;
  bisize2            : word;
  biwidth1           : word;
  biwidth2           : word;
  biheight1          : word;
  biheight2          : word;
  biplanes           : word;
  bibitcount         : word;
  bicompression1     : word;
  bicompression2     : word;
  bisizeimage1       : word;
  bisizeimage2       : word;
  biXpixelspermeter1 : word;
  biXpixelspermeter2 : word;
  biYpixelspermeter1 : word;
  biYpixelspermeter2 : word;
  biClrUsed1         : word;
  biClrUsed2         : word;
  biClrImportant1    : word;
  biClrImportant2    : word;
  end;

  s                                              : string;
  limage_lue,himage_lue,limage1,himage1          : real;
  echelx,echely                                  : real;
  nomf                                           : file;
(*  echel                                          : real;   *)


begin
  image1.width:=350;
  image1.height:=262;
  s:=filelistbox1.Items[filelistbox1.ItemIndex];
  assignFile(nomf,s);
  reset(nomf,1);
  blockread(nomf,Fileheader,14);
  blockread(nomf,infoheader,40);
  closeFile(nomf);

  limage_lue:=infoheader.biwidth1+256*256*infoheader.biwidth2;
  himage_lue:=infoheader.biheight1+256*256*infoheader.biheight2;
  limage1:=image1.width;
  himage1:=image1.height;

  if (limage_lue >= himage_lue)then begin
    echel:=limage1/limage_lue;
    image1.width:=round(limage_lue*echel);
    image1.height:=round(himage_lue*echel);
    Image1.Stretch := True;
    Image1.Picture.LoadFromFile(s);
  end;

  if (limage_lue < himage_lue)then begin
    echel:=himage1/himage_lue;
    image1.width:=round(limage_lue*echel);
    image1.height:=round(himage_lue*echel);
    Image1.Stretch := True;
    Image1.Picture.LoadFromFile(s);
  end;

end;

procedure TForm1.sortie(Sender: TObject);
begin
  close;
end;

procedure TForm1.selecte_fichier(Sender: TObject);
begin
  FileListBox1.Directory := DirectoryListBox1.Directory;
  filelistbox1.update;
end;

procedure TForm1.enregister(Sender: TObject);
var
   s                 : string;
begin
   SaveDialog1.filterIndex:=1;
   if SaveDialog1.execute then begin
       s:=SaveDialog1.filename;
       if (pos('.bmp',s) = 0)then s:=s+'.bmp';
       image1.picture.savetofile(s);
       Directorylistbox1.update;
   end;
end;

procedure TForm1.loupe(Sender: TObject; Shift: TShiftState; X, Y: Integer);
var  xx,yy  : integer;
begin
{On copie un carr de 80X80 de l'image1 dans l'image2}
    xx:=round(x/echel);
    yy:=round(y/echel);
    image2.canvas.copyrect
    (rect(1,1,79,79),image1.canvas,rect(xx-20,yy-20,xx+20,yy+20));
    with image2 do begin
      canvas.pen.color:=clblack;
      canvas.moveto(30,40);
      canvas.lineto(50,40);
      canvas.moveto(40,30);
      canvas.lineto(40,50);
    end;

end;

procedure TForm1.init(Sender: TObject);
begin
   with image2 do begin
      top:=image1.top+image1.height+2;
      left:=left;
      width:=80;
      height:=80;
      canvas.pen.color:=clred;
      canvas.rectangle (0,0,80,80);
      canvas.moveto(30,40);
      canvas.lineto(50,40);
      canvas.moveto(40,30);
      canvas.lineto(40,50);
    end;
end;

end.
