unit Affivec2;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons;

type
  Tfaffivec2 = class(TForm)
    ListBox1: TListBox;
    BitBtn1: TBitBtn;
    procedure sortie_affi(Sender: TObject);
    procedure Affiche(Sender: TObject);
  private
    { Dclarations private }
  public
    { Dclarations public }
  end;

var
  faffivec2: Tfaffivec2;

implementation

{$R *.DFM}
uses
   oemath,afine;
type
  tab_sup                          = array[1..40]  of single;
  tab_rdon                         = array[1..126] of single;
  tab_idon                         = array[1..956] of smallInt;
  tab_icdon                        = array[1..59]  of smallInt;
var
  nomf                                         : textfile;
  residu_sol                                   : real;
  sup                                          : tab_sup;
  rdon                                         : tab_rdon;
  icdon                                        : tab_icdon;
  idon                                         : tab_idon;

procedure afinev(var rdon: tab_rdon;
                 var idon: tab_idon;
                 var icdon:tab_icdon;
                 var sup:tab_sup);    far;stdcall;external 'afivec.dll' index 1;

{rcuprartion des donnes provenant de DLL Fortran}
procedure decode_data_dll;{
--------------------------}

var
  n,i,j,k                : integer;
begin

  distance:=rdon[7];

{  Matrice r13}
  n:=66;
  for i:=1 to 3 do begin
    for j:=1 to 3 do begin
      n:=n+1;
      r13[i,j]:=rdon[n];
    end;
  end;
{  Matrice r31}
  for i:=1 to 3 do begin
    for j:=1 to 3 do begin
      n:=n+1;
      r31[i,j]:=rdon[n];
    end;
  end;
{  Matrice r23}
  for i:=1 to 3 do begin
    for j:=1 to 3 do begin
      n:=n+1;
      r23[i,j]:=rdon[n];
    end;
  end;
{  Matrice r32}
  for i:=1 to 3 do begin
    for j:=1 to 3 do begin
      n:=n+1;
      r32[i,j]:=rdon[n];
    end;
  end;

{ U,V,W}
   uvw[1]:=rdon[123];
   uvw[2]:=rdon[124];
   uvw[3]:=rdon[125];
   nsol:=idon[3];
   no_sol:=idon[4];

{ Solutions}
  if(nsol <> 0) then begin
    n:=55;
    for i:=1 to 30 do begin
      for j:=1 to 10 do begin
        for k:=1 to 3 do begin
          n:=n+1;
          ishkl[i,j,k]:=idon[n];
        end;
      end;
    end;
  end;

end;

{Chargement des tableaux rdon,idon et icdon pour DLL Fortran}
procedure code_data_dll;{
------------------------}
var
  i,j,k,n       : integer;

begin
  for i:= 1 to 125 do rdon[i]:=0;
  for i:= 1 to 956 do idon[i]:=0;
  for i:= 1 to 59  do icdon[i]:=0;
  {Tableau RDON}
  rdon[1]:=a;
  rdon[2]:=b;
  rdon[3]:=c;
  rdon[4]:=alpha;
  rdon[5]:=beta;
  rdon[6]:=gamma;
  rdon[7]:=distance;
  rdon[8]:=angle;
  rdon[9]:=largeur;
  rdon[10]:=hauteur;
  rdon[11]:=lambda_min;
  rdon[12]:=lambda_max;
  n:=12;
  for i:=1 to 3 do begin
    for j:=1 to 3 do begin
      n:=n+1;
      rdon[n]:=r10[i,j];
    end;
  end;
  for i:=1 to 3 do begin
    for j:=1 to 3 do begin
      n:=n+1;
      rdon[n]:=r01[i,j];
    end;
  end;
  for i:=1 to 3 do begin
    for j:=1 to 3 do begin
      n:=n+1;
      rdon[n]:=r21[i,j];
    end;
  end;
  for i:=1 to 3 do begin
    for j:=1 to 3 do begin
      n:=n+1;
      rdon[n]:=r12[i,j];
    end;
  end;
  for i:=1 to 3 do begin
    for j:=1 to 3 do begin
      n:=n+1;
      rdon[n]:=r20[i,j];
    end;
  end;
  for i:=1 to 3 do begin
    for j:=1 to 3 do begin
      n:=n+1;
      rdon[n]:=r02[i,j];
    end;
  end;
  for i:=1 to 3 do begin
    for j:=1 to 3 do begin
      n:=n+1;
      rdon[n]:=r13[i,j];
    end;
  end;
  for i:=1 to 3 do begin
    for j:=1 to 3 do begin
      n:=n+1;
      rdon[n]:=r31[i,j];
    end;
  end;
  for i:=1 to 3 do begin
    for j:=1 to 3 do begin
      n:=n+1;
      rdon[n]:=r23[i,j];
    end;
  end;
  for i:=1 to 3 do begin
    for j:=1 to 3 do begin
      n:=n+1;
      rdon[n]:=r32[i,j];
    end;
  end;
  n:=102;
  for i:=1 to 10 do begin
    n:=n+2;
    rdon[n-1]:=xobs[i];
    rdon[n]:=yobs[i];
  end;

  rdon[123]:=uvw[1];
  rdon[124]:=uvw[2];
  rdon[125]:=uvw[3];
  {Tableau IDON}
  idon[2]:=nobs;
  idon[3]:=nsol;
  idon[4]:=no_sol;
  idon[5]:=ncmd;
  idon[6]:=n1;
  idon[7]:=n2;
  idon[8]:=ih1;
  idon[9]:=ih2;
  idon[10]:=ik1;
  idon[11]:=ik2;
  idon[12]:=il1;
  idon[13]:=il2;
  n:=13;
  for i:=1 to 6 do begin
    n:=n+1;
    idon[n]:=ncmdsi[i];
  end;
  for i:=1 to 6 do begin
    for j:=1 to 5 do begin
      n:=n+1;
      idon[n]:=icmdsi[i,j];
    end;
  end;
  for i:=1 to 6 do begin
    n:=n+1;
    idon[n]:=icmddo[i];
  end;
  if(nsol <> 0) then begin
     n:=55;
     for i:=1 to nsol do begin
       for j:=1 to 10 do begin
         for k:=1 to 3 do begin
            n:=n+1;
            idon[n]:=ishkl[i,j,k];
         end;
       end;
     end;
  end;
  {Tableau ICDON}
  if (titre = '')then titre:='No title';
  for i:=1 to 40 do icdon[i]:=ord(titre[i]);
  for i:= 1 to 12 do icdon[i+40]:=ord(groupe_espace[i]);
  icdon[53]:=ord(systeme[1]);
  icdon[54]:=ord(bravais[1]);
  for i:=1 to 5 do icdon[i+54]:=ord(geom[i]);

end;

procedure residu_solution;{
--------------------------}
var
   res,xx,yy,zz,xx3c,yy3c,zz3c,xf,yf,d   : real;
   i,j                                   : integer;
begin
   writeln(nomf,'  h  k  l   xobs   xcalc    yobs   ycalc   dist.');
   res:=0;
   for i:=1 to nobs+ns do begin
     if( i <= nobs)then begin
       xx:=ishkl[no_sol,i,1];
       yy:=ishkl[no_sol,i,2];
       zz:=ishkl[no_sol,i,3];
       trfo(xx,yy,zz,xx3c,yy3c,zz3c,r31);
       trnl(xx3c,yy3c,zz3c,xf,yf);
       d:=sqr(xf-xobs[i])+sqr(yf-yobs[i]);
       res:=res+d;
       writeln(nomf,xx:3:0,yy:3:0,zz:3:0,
                   xobs[i]:7:2,xf:7:2,'  ',yobs[i]:7:2,yf:7:2,'  ',sqrt(d):7:3);
     end else begin
       j:=i-nobs;
       xx:=h_sup[j];
       yy:=k_sup[j];
       zz:=l_sup[j];
       trfo(xx,yy,zz,xx3c,yy3c,zz3c,r31);
       trnl(xx3c,yy3c,zz3c,xf,yf);
       d:=sqr(xf-x_sup[j])+sqr(yf-y_sup[j]);
       res:=res+d;
       writeln(nomf,xx:3:0,yy:3:0,zz:3:0,
                 x_sup[j]:7:2,xf:7:2,'  ',y_sup[j]:7:2,yf:7:2,'  ',sqrt(d):7:3);
     end;
   end;
   res:=sqrt(res)/(nobs+ns);
   writeln(nomf,'Mean error:',res:8:4,' computed with ',(nobs+ns):3,' reflections');
   writeln(nomf);
   residu_sol:=res;
end;

procedure Tfaffivec2.sortie_affi(Sender: TObject);{
--------------------------------------------------}
begin
  close;
end;

procedure Tfaffivec2.Affiche(Sender: TObject);{
----------------------------------------------}
var
  s,s1                                            : string;
  i                                               : integer;
  distance_new                                    : real;
begin
    chdir(repertoire_origine);
    assignFile(nomf,'report.txt');
    rewrite(nomf);

    writeln(nomf,'                ',titre);
    writeln(nomf,'                   Matrix orientation refinement');
    writeln(nomf);
    writeln(nomf,'Before matrix refinement ');
    writeln(nomf,'Distance: ',distance:7:2);
    residu_solution;

    code_data_dll;
    if (ns > 0)then begin
      for i:=1 to ns do begin
        sup[i]:=x_sup[i];
        sup[i+20]:=y_sup[i];
      end;
    end;

    afinev(rdon,idon,icdon,sup);
    if (idon[1] = 1)then begin
      erreur('Singular matrix!');
      closefile(nomf);
      exit;
    end;
    if (idon[1] = 2)then begin
      erreur('The refinement diverges');
      closefile(nomf);
      exit;
    end;

    decode_data_dll;

    writeln(nomf,'After matrix refinement');
    writeln(nomf,'Distance: ',distance:7:2);
    residu_solution;
    calc_residu_coord(no_sol);

    {ecriture dans listbox}
    Listbox1.items.clear;
    listbox1.items.add('           Matrix orientation refinement');
    listbox1.items.add('  ');
    if(idon[1] = 0)then listbox1.items.add('Normal end of refinement');
    listbox1.items.add('  ');
    //if (type_coordon = 2) or (type_coordon = 3)     then begin
    if (type_coordon >= 0) and (ns > 0) then begin
      Listbox1.Items.add('             Additional Reflection');
      Listbox1.Items.add(' ');
      for i:=1 to ns do begin
       s:='Reflection ';
       str(h_sup[i]:3,s1);
       s:=s+s1;
       str(k_sup[i]:3,s1);
       s:=s+s1;
       str(l_sup[i]:3,s1);
       s:=s+s1+'  X=';
       str(x_sup[i]:6:2,s1);
       s:=s+s1+'  Y=';
       str(y_sup[i]:6:2,s1);
       s:=s+s1;
       Listbox1.Items.add(s);
     end;
    end;

    s:=' ';
    listbox1.Items.add(s);
    str(residu_sol:8:4,s);
    listbox1.Items.add('Mean error: '+s);
    s:='';
    listbox1.Items.add(s);
    s:='For details, edit the results file REPORT.TXT';
    listbox1.Items.add(s);
    closefile(nomf);
end;

end.
