{19 janvier 97. Dessin d'un diagramme de Laue  l'cran avec rotation}
unit Dessin;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Printers, ExtCtrls, Menus, clipbrd, ComCtrls,math,
  ExtDlgs, jpeg ;

type
  Tfdessin = class(TForm)
    MainMenu1: TMainMenu;
    Image1: TImage;
    Picture1: TMenuItem;
    Draw1: TMenuItem;
    Print1: TMenuItem;
    options1: TMenuItem;
    RotationXY1: TMenuItem;
    Rotationx1: TMenuItem;
    rotationy1: TMenuItem;
    Help1: TMenuItem;
    Quit1: TMenuItem;
    tracimprimante1: TMenuItem;
    impressionliste1: TMenuItem;
    File1: TMenuItem;
    OpenDialog1: TOpenDialog;
    Save1: TMenuItem;
    Panel1: TPanel;
    SaveDialog1: TSaveDialog;
    Panel2: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    RotationZ1: TMenuItem;
    Indexation1: TMenuItem;
    Panel3: TPanel;
    Label5: TLabel;
    UpDown1: TUpDown;
    Panel4: TPanel;
    Image2: TImage;
    Label6: TLabel;
    Panel5: TPanel;
    Label7: TLabel;
    Label8: TLabel;
    Edit4: TEdit;
    Button3: TButton;
    Panel6: TPanel;
    Label9: TLabel;
    Edit5: TEdit;
    Edit6: TEdit;
    Label10: TLabel;
    Label11: TLabel;
    Button4: TButton;
    Bevel1: TBevel;
    Label13: TLabel;
    Panel7: TPanel;
    Label12: TLabel;
    Edit7: TEdit;
    Edit8: TEdit;
    Label14: TLabel;
    Panel8: TPanel;
    Edit9: TEdit;
    Edit10: TEdit;
    Edit11: TEdit;
    Label15: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    Button5: TButton;
    ListBox1: TListBox;
    Printscreenimage1: TMenuItem;
    Label18: TLabel;
    Panel9: TPanel;
    Label19: TLabel;
    Edit12: TEdit;
    Label20: TLabel;
    PrintDialog1: TPrintDialog;
    OpenPictureDialog1: TOpenPictureDialog;
    RadioGroup1: TRadioGroup;
    Label21: TLabel;
    Button1: TButton;
    Button2: TButton;                                       {Indice de Miller max}
    procedure set_rotation(Sender: TObject);
    procedure dessin(Sender: TObject);
    procedure entree_fiche(Sender: TObject);
    procedure flag_on(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure flag_off(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure tourne(Sender: TObject; Shift: TShiftState; X, Y: Integer);
    procedure indexe(Sender: TObject);
    procedure set_indexatio(Sender: TObject);
    procedure sortie(Sender: TObject);
    procedure trace(Sender: TObject);
    procedure imprime_liste(Sender: TObject);
    procedure Display_aide(Sender: TObject);
    procedure set_axex(Sender: TObject);
    procedure sauve_image(Sender: TObject);
    procedure imprime_dessin(Sender: TObject);
    procedure efface_panel2(Sender: TObject);
    procedure set_axey(Sender: TObject);
    procedure set_axez(Sender: TObject);
    procedure ajuste_rayon(Sender: TObject; Button: TUDBtnType);
    procedure retrace_stereo(Sender: TObject);
    procedure lit_dhkl_new(Sender: TObject);
    procedure ajout_image(Sender: TObject);
    procedure raze_angles(Sender: TObject);
    procedure dessine_rotation(Sender: TObject);
    procedure impression_ecran(Sender: TObject);
    procedure init_crea(Sender: TObject);
  private
    { Dclarations private }
  public
    { Dclarations public }
    procedure DisplayHint(sender: TObject);
  end;
var
  fdessin                          : Tfdessin;

implementation
uses oemath, limage1;

{$R *.DFM}
{Variables globales}
var

  xw,yw,x_pixels,y_pixels,xo,yo,rayon_ellipse    : integer;
  echel,wl,qm,qn,xk                              : real;
  lambda_min_new                                 : real;

  {rotation}
  x0,y0,xold,yold,flag_rotation,flag_indexation       : integer;
  phix,phiy,phiz,phix0,phiy0,phiz0,dx,dy,dz,pas       : real;
  type_rotation                                       : integer;
  xm,xn,ym,yn                                         : real;
  rr13,rr31,r32_old,r31_depart                        : matrice3;

  {origine}
  npoint                                              : integer;
  xp_or,yp_or                                         : array[1..4] of integer;
  rstereo                                             : real;
  mouse_down                                          : boolean;
  updown_avant                                        : integer;
  echelle_imprimante                                  : real;

{$i dessin1.pas}(* Calcsim*)
{$i dessin2.pas}
{$i dessin3.pas}(*Dessin*)
{$i dessin4.pas}(*indexe*)
{$i dfm_dessin.pas}

procedure croix(x,y : integer);{
-------------------------------}
begin
  fdessin.image1.canvas.pen.color:=clred;
  fdessin.image1.canvas.moveto(x-4,y-4);
  fdessin.image1.canvas.lineto(x+4,y+4);
  fdessin.image1.canvas.moveto(x+4,y-4);
  fdessin.image1.canvas.lineto(x-4,y+4);
  fdessin.image1.canvas.pen.color:=clblack;
end;

{Ecriture d'aide des Items (proprit HINT)}
procedure Tfdessin.DisplayHint (Sender: TObject);{
-------------------------------------------------}
begin
   panel1.Caption:=Application.Hint;
end;

{Initialisation de l'cran}
procedure Tfdessin.entree_fiche(Sender: TObject);{
-------------------------------------------------}
var
  noms            : textfile;
  diag,phi,som,cx0: real;
  s               : string;
  bitmap          : tbitmap;
begin
  //Angles de dpart
  echelle_imprimante:=117.66;
  if fileExists('echelle.txt')then begin
     assignfile(noms,'echelle.txt');
     reset(noms);
     readln(noms,echelle_imprimante);
     closefile(noms);
  end else echelle_imprimante:=300;
  str(echelle_imprimante:6:2,s);
  edit12.text:=S;

  ident(r32,r32_old);
  ident(r31,r31_depart);
  phix0:=0;
  phiy0:=0;
  phiz0:=0;
  edit9.text:='0'; edit10.text:='0'; edit11.text:='0';
  mouse_down:=false;
  left:=0;top:=0;
  rayon_ellipse:=1;
  updown_avant:=1;
  rstereo:=10;
  Application.Onhint:=DisplayHint;
  xold:=0;
  yold:=0;
  pas:=1/57.2957;
  phix:=0;
  phiy:=0;
  phiz:=0;
  dx:=pas;
  dy:=pas;
  dz:=pas;
  flag_indexation:=1;
  flag_rotation:=0;
  xw:=5;
  yw:=10;

  if (type_diagramme = 'laue')then begin
    panel3.visible:=true;
    panel5.visible:=false;
    panel6.visible:=true;
    panel7.visible:=false;

    {Calcul de dhkl_max}
    diag:=sqrt(sqr(largeur)+sqr(hauteur))/2;
    if (geom = 'CYL')then begin
      phi:=57.2957*(diag/distance);
    end else begin
      phi:=57.2957*atan2(diag,distance);
    end;
    som:=abs(angle)+phi;
    if (som > 180) then som:=180;
    som:=som/57.2957;
    dhkl_max:=lambda_min/(2*sin(som/2));
    str(dhkl_max:6:4,s);
    edit5.text:=s;
    dhkl:=0;

    if (length(nom_fichier_image) > 0)then begin
      xo:=x_origine;
      yo:=y_origine;
      echel:=nb_pixel_cm;
      xm:=largeur-xo/echel;
      xn:=-xo/echel;
      ym:=yo/echel;
      yn:=-hauteur+yo/echel;
      calcsim;
    end else begin
      echel:=29.5;
      xo:=image1.width div 2;
      yo:=image1.height div 2;
      xm:=largeur/2;
      ym:=hauteur/2;
      xn:=-xm;
      yn:=-ym;

// chargement d'un bitmap dans picture pour rgnrer les dimensions
      bitmap:=tbitmap.create;
      bitmap.width:=857;
      bitmap.height:=633;
      image1.picture.graphic:=bitmap;
      bitmap.free;

      calcsim;
    end;
  end else begin
    panel3.visible:=false;
    panel6.visible:=false;
    panel5.visible:=true;
    panel7.visible:=true;
    indmax_stereo:=6;
    edit4.text:=intToStr(indmax_stereo);
    echel:=25;
    xo:=image1.width div 2;
    yo:=image1.height div 2;

// chargement d'un bitmap dans picture pour rgnrer les dimensions
    bitmap:=tbitmap.create;
    bitmap.width:=857;
    bitmap.height:=633;
    image1.picture.graphic:=bitmap;
    bitmap.free;
  end;

//Cadre Rectangle film
  image1.canvas.brush.color:=clwhite;
  image1.canvas.rectangle (1,1,image1.width-1,image1.height-1);
  fdessin.dessin(sender);
 end;

procedure Tfdessin.flag_on(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);{
  ---------------------------------------------------------------}
begin
  mouse_down:=true;
  xold:=x;
  yold:=y;
  x_pixels:=x;
  y_pixels:=y;

  case flag_indexation of
    -1: begin
          croix(x,y);
          npoint:=npoint+1;
          if(angle = 0)then begin
            x_origine:=x;
            y_origine:=y;
          end;
          if (round(abs(angle)) = 180) and (npoint < 5) then begin
            if (npoint = 4) then begin
              x_origine:=(xp_or[1]+xp_or[2]) div 2;
              y_origine:=(yp_or[3]+yp_or[4]) div 2;
              {panel1.top:=image1.top;}
            end;
            exit;
          end;
        end;
     1:fdessin.indexe(sender);
     0: begin
          flag_rotation:=1;
          message_matrice:=
 'Caution! The original matrix was modified. Use MATRIX+RESTORE to restore it.';
        end;
   end;

end;

procedure Tfdessin.flag_off(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer); {
  ----------------------------------------------------------------}
begin
  mouse_down:=false;
  flag_rotation:=0;
  x_pixels:=x;
  y_pixels:=y;
end;

procedure Tfdessin.tourne(Sender: TObject; Shift: TShiftState; X,Y: Integer);{
----------------------------------------------------------------------------}
var
  deltax,deltay,{deltaz,}cx,cy,sx,sy,cz,sz   : real;
  mat,aux                                    : matrice3;
  xx,yy,xxold,yyold,angle_rot,phi1,phi2,cx0  : real;
  ang_x,ang_y,ang_z                          : real;
  s                                          : string;

begin
 if (flag_rotation = 0)or (mouse_down = false)then exit;
 phix:=0;
 phiy:=0;
 phiz:=0;
 case type_rotation of
   1: begin   //Rotation autour des axes Y et Z
        deltay:=-round(x-xold);
        deltax:=-round(y-yold);
        if(angle = 180)then deltax:=-deltax;
        if(type_diagramme = 'stereo')then deltay:=-deltay;
        phiy:=deltay*dx/5;
        phiz:=deltax*dy/5;
      end;
   2: begin  //Rotation autour de OX
        xx:=xo-x;
        yy:=yo-y;
        phi1:=atan2(yy,xx);
        xxold:=xo-xold;
        yyold:=yo-yold;
        phi2:=atan2(yyold,xxold);
        angle_rot:=phi2-phi1;
        if(angle = 180)then angle_rot:=-angle_rot;
        if(type_diagramme = 'stereo')and (angle = 180) then angle_rot:=-angle_rot;
        phix:=angle_rot;
      end;
   3: begin   //Rotation autour de Y
        deltay:=-round(y-yold);
        if( abs(angle) = 180) then deltay:=-deltay;
        if(type_diagramme = 'stereo')then deltay:=-deltay;
        phiy:=deltay*dy/5;
      end;
   4: begin //Rotation autour de OZ axe vertical
        deltax:=-round(x-xold);
        phiz:=deltax*dy/5;
      end;
  end;
  xold:=x;
  yold:=y;
  cx:=cos(phix);sx:=sin(phix);
  cy:=cos(phiy);sy:=sin(phiy);
  cz:=cos(phiz);sz:=sin(phiz);
  mat[1,1]:=cy*cz;
  mat[1,2]:=sx*sy*cz-cx*sz;
  mat[1,3]:=cx*sy*cz+sx*sz;
  mat[2,1]:=cy*sz;
  mat[2,2]:=sx*sy*sz+cx*cz;
  mat[2,3]:=cx*sy*sz-sx*cz;
  mat[3,1]:=-sy;
  mat[3,2]:=sx*cy;
  mat[3,3]:=cx*cy;
  mat_mult(mat,r31,aux);
  ident(aux,r31);
  matinv(r31,r13);
  mat_mult(r21,r13,r23);
  mat_mult(r31,r12,r32);

  //Angles de rotation cumuls
  phix0:=phix0+phix;
  phiy0:=phiy0+phiy;
  phiz0:=phiz0+phiz;
  str(57.2957*phix0:5:2,s);
  edit9.text:=s;
  str(57.2957*phiy0:5:2,s);
  edit10.text:=s;
  str(57.2957*phiz0:5:2,s);
  edit11.text:=s;
  panel8.refresh;
  fdessin.dessin(Sender);
end;

procedure Tfdessin.set_indexatio(Sender: TObject);{
--------------------------------------------------}
var
  s                         : string;
begin
 {Screen.Cursor:=CrCross;}
  flag_indexation:=1;
  flag_rotation:=0;
  s:='Click on a spot to display the Miller indices of the fundamental';
  image1.canvas.font.color:=clred;
  image1.canvas.brush.color:=clwhite;
  panel1.caption:=s;
  image1.canvas.pen.color:=clred;
end;

procedure Tfdessin.sortie(Sender: TObject);{
-------------------------------------------}
begin
   {Screen.Cursor:=CrDefault;}
   close;
end;

procedure Tfdessin.Display_aide(Sender: TObject);{
-------------------------------------------------}
begin
   Application.HelpFile:='orientExpress.hlp';
   Application.HelpContext(7);
end;

//transformation jpg ==> bmp
procedure jpg_to_bmp(var S1,s2: string);
//-------------------------------------
var
  ImageJPEG : TJPEGImage;
  ImageBMP  : TBitmap;
begin
  ImageJPEG := TJPEGImage.Create;
  try
    ImageJPEG.LoadFromFile(s1); // chargement du JPEG  partir d'un fichier
    ImageBMP := TBitmap.Create;
    try
      ImageBMP.Width := ImageJPEG.Width;  // dtermination de la taille de ImageBMP
      ImageBMP.Height := ImageJPEG.Height;
      ImageBMP.Canvas.Draw(0,0,ImageJPEG); // On dessine de ImageJPEG dans ImageBMP
      ImageBMP.SaveToFile(s2);  // Sauvegarde de ImageBMP sous fichier
    finally
      ImageBMP.Free; // libration de la mmoire (mme en cas d'erreur grce au try finally)
    end;
  finally
    ImageJPEG.Free;  // libration de la mmoire (mme en cas d'erreur grce au try finally)
  end;
end;

//Sauvegarde sous *.jpg
procedure save_to_jpg(var s2: string);
//------------------------------------
var  ImageJPEG : TJPEGImage;
     ImageBMP  : TBitmap;
begin
  ImageBMP := TBitmap.Create;
  try
    imagebmp.assign(clipboard);
    //ImageBMP.LoadFromFile(s1); //chargement de ImageBMP  partir d'un fichier
    ImageJPEG := TJPEGImage.Create;
    try
      //ImageJPEG.CompressionQuality:=SpinEdit1.Value; //modification du facteur de compression
      ImageJPEG.CompressionQuality:=50; //modification du facteur de compression
      ImageJPEG.Assign(ImageBMP); // Ainsi ImageJPEG contiendra l'image donn par ImageBMP
      ImageJPEG.SaveToFile(s2);// Sauvegarde sous fichier
    finally
      ImageJPEG.Free; // libration de la mmoire (mme en cas d'erreur grce au try finally)
    end;
  finally
    ImageBMP.Free; // libration de la mmoire (mme en cas d'erreur grce au try finally)
  end;
end;

procedure Tfdessin.sauve_image(Sender: TObject);{
------------------------------------------------}
var
   s,s1,s2          : string;
   w                : word;
begin

   if SaveDialog1.execute then begin
       //beep;
       w:=messageDlg('This file already exists. Do you want to continue?',
       mtConfirmation,mbYesNoCancel,0);
       if (w = mrNo) or (w = mrAbort) then exit;
       s:=SaveDialog1.filename;

//Pas d'extension, on sauve sous jpg
       if (pos('.',s) = 0) then begin
         s1:=s+'.jpg';
         save_to_jpg(s1);
         exit;
       end;

//extension jpg
       if (pos('.jpg',s) > 0) then begin
         save_to_jpg(s);
         exit;
       end;

//extension bmp
       if (pos('.bmp',s) > 0) then begin
         s2:='dummy.jpg';
         save_to_jpg(s2);
         jpg_to_bmp(s2,s);
         deletefile('dummy.jpg');
         exit;
       end;

   end;
end;

procedure Tfdessin.set_axey(Sender: TObject);{
---------------------------------------------}
var
  s   : string;
begin
 {Rotation autour de Y}
 {Screen.Cursor:=CrDefault;}
 flag_indexation:=0;
 type_rotation:=3;
 s:='Rotation around Y axis: '
 +' Move the mouse while pressing a button';
 fdessin.image1.canvas.font.color:=clred;
 panel1.caption:=s;
end;

procedure Tfdessin.set_axex(Sender: TObject);{
--------------------------------------------}
var
   s                    : string;
begin
 {Rotation autour de X}
 {Screen.Cursor:=CrDefault;}
 flag_indexation:=0;
 type_rotation:=2;
 s:='Rotation araound X axis: '
 +' Move the mouse while pressing a button';
 fdessin.canvas.font.color:=clred;
 panel1.caption:=s;
 {canvas.textout(x,y,s);}
end;

procedure Tfdessin.set_axez(Sender: TObject);{
---------------------------------------------}
var
  s   : string;
begin
 {Rotation autour de Z}
 {Screen.Cursor:=CrDefault;}
 flag_indexation:=0;
 type_rotation:=4;
 s:='Rotation around Z axis: '
 +' Move the mouse while pressing a button';
 panel1.caption:=s;
end;

procedure Tfdessin.set_rotation(Sender: TObject);{
-------------------------------------------------}
var
   s                    : string;
begin
 {Screen.Cursor:=CrDefault;}
 flag_indexation:=0;
 type_rotation:=1;
 s:='Combined rotations around Y and Z axis: '
 +' Move the mouse while pressing a button';
 panel1.caption:=s;
end;

procedure Tfdessin.ajuste_rayon(Sender: TObject; Button: TUDBtnType);
//------------------------------------------------------------------
var
     dif : integer;
begin
 dif:=updown1.position-updown_avant;
 rayon_ellipse:=rayon_ellipse+abs(dif) div dif;
 updown_avant:=updown1.position;
 dessin(sender);
end;

procedure Tfdessin.retrace_stereo(Sender: TObject);{
---------------------------------------------------}
var
   s           : string;
   ier         : integer;
begin
  s:=edit4.text;
  val(s,indmax_stereo,ier);
  if(ier > 0)then begin
    erreur('Read error');
    exit;
  end;
  dessin(sender);
end;

procedure Tfdessin.lit_dhkl_new(Sender: TObject);{
-------------------------------------------------}
var
   s           : string;
   ier         : integer;
begin

  s:=edit6.text;

  if (s = '')then begin
    dhkl:=dhkl_max;
    s:=edit5.text;
    str(dhkl:7:3,s);
    edit6.text:=edit5.text;
  end else begin;
    val(s,dhkl,ier);
    if (ier > 0)then begin
      erreur('Read error');
      exit;
    end;
    dhkl:=1/dhkl;
    if (dhkl < dhkl_max)then begin
      dhkl:=dhkl_max;
      edit6.text:=edit5.text;
    end;
  end;

  calcsim;
  dessin(sender);
end;

procedure Tfdessin.ajout_image(Sender: TObject);
//----------------------------------------------
begin
   (*if OpenPictureDialog1.execute then begin
     nom_fichier_image:=OpenPictureDialog1.FileName;
     image1.Picture.LoadFromFile(nom_fichier_image);
     ClipBoard.assign(image1.Picture);
     flimage1.image1.picture.assign(clipboard);
      xo:=x_origine;
      yo:=y_origine;
      echel:=nb_pixel_cm;
      xm:=largeur-xo/echel;
      xn:=-xo/echel;
      ym:=yo/echel;
      yn:=-hauteur+yo/echel;
      calcsim;
     dessin(sender);
   end;   *)
   no_appel:=2;
   fdessin.visible:=false;
   flimage1.visible:=true;
end;

procedure Tfdessin.raze_angles(Sender: TObject);
//----------------------------------------------
begin
  phix0:=0;
  phiy0:=0;
  phiz0:=0;
  panel8.refresh;
end;

procedure Tfdessin.dessine_rotation(Sender: TObject);
//--------------------------------------------------
var
   s                                     : string;
   ier,i,j,k                             : integer;
   phix,phiy,phiz,sx,sy,sz,cx,cy,cz,rd   : real;
   mat,aux                               : matrice3;
begin
  flag_rotation:=0;
  rd:=57.2957;
  s:=edit9.text;if (s = '')then s:='0.0';
  val(s,phix,ier);
  s:=edit10.text;if (s = '')then s:='0.0';
  val(s,phiy,ier);
  s:=edit11.text;if (s = '')then s:='0.0';
  val(s,phiz,ier);
  phix:=phix/rd;phiy:=phiy/rd;phiz:=phiz/rd;
  cx:=cos(phix);sx:=sin(phix);
  cy:=cos(phiy);sy:=sin(phiy);
  cz:=cos(phiz);sz:=sin(phiz);
  mat[1,1]:=cy*cz;
  mat[1,2]:=sx*sy*cz-cx*sz;
  mat[1,3]:=cx*sy*cz+sx*sz;
  mat[2,1]:=cy*sz;
  mat[2,2]:=sx*sy*sz+cx*cz;
  mat[2,3]:=cx*sy*sz-sx*cz;
  mat[3,1]:=-sy;
  mat[3,2]:=sx*cy;
  mat[3,3]:=cx*cy;
  mat_mult(mat,r31_depart,aux);
  ident(aux,r31);
  matinv(r31,r13);
  mat_mult(r21,r13,r23);
  mat_mult(r31,r12,r32);
  dessin(sender);
end;

procedure Tfdessin.impression_ecran(Sender: TObject);
//---------------------------------------------------
begin
    Printer.Orientation:=PoLandscape;
end;

procedure Tfdessin.init_crea(Sender: TObject);
//--------------------------------------------
begin
  if (screen.width = 800) then  dessin800;
end;


end.


